PMIOSTAT(1)

NAME
pmiostat - performance metrics value dumper

SYNOPSIS
pmiostat [-A align --align=TIME] [-a archive --archive=FILE] [-h host --host=HOST] [-O offset --origin=TIME] [-S starttime --start=TIME] [-s samples --samples=N] [-T endtime --finish=TIME] [-t interval --interval=DELTA] [-Z timezone --timezone=TZ] [-z --hostzone] [-? --help] [-x [dm][,t][,h]]

DESCRIPTION
pmiostat reports I/O statistics for scsi devices (by default) or device-mapper devices (if the -x dm option is specified). By default pmiostat reports live data for the local host but can also report for a remote host (-h) or from a previously captured PCP archive (-a).

The -S, -T, -O and -A options may be used to define a time window to restrict the samples retrieved, set an initial origin within the time window, or specify a ``natural'' alignment of the sample times; refer to PCPIntro(1) for a complete description of these options.

The other options which control the source, timing and layout of the information reported by pmiostat are as follows:

-a  Performance metric values are retrieved from the Performance Co-Pilot (PCP) archive log file identified by the base name archive.

-h  Current performance metric values are retrieved from the nominated host machine.

-s  The argument samples defines the number of samples to be retrieved and reported. If samples is 0 or -s is not specified, pmiostat will sample and report continuously (in real time mode) or until the end of the PCP archive (in archive mode).

-t  The default update interval may be set to something other than the default 1 second. The interval argument follows the syntax described in PCPIntro(1), and in the simplest form may be an unsigned integer (the implied units in this case are seconds). The -t option is particularly useful when replaying large archives (-a option) that span several hours or even days. In this case specifying a large interval (e.g. 1h for 1 hour) will reduce the volume of data reported and the i/o statistics will be averaged (interpolated) over the reporting interval.

-Z  By default, pmiostat reports the time of day according to the local timezone on the system where pmiostat is run. The -Z option changes the timezone to timezone in the format of the environment variable TZ as described in environ(5).

-z  Change the reporting timezone to the local timezone at the host that is the source of the performance metrics, as identified via either the -h or -a options.

-x  Specifies a comma separated list of one or more extended reporting options as follows:
    dm - report statistics for device-mapper logical devices instead of scsi devices,
    t - prefix every line in the report with a timestamp in ctime(3) format,
    H - omit the heading, which is otherwise reported every 24 samples.

REPORT
The columns in the pmiostat report have the following interpretation :

Timestamp
    When the -x t option is specified, this column is the timestamp in ctime(3) format.

Device
    Specifies the scsi device name, or if -x dm is specified, the device-mapper logical device name.

rrqm/s
    The number of read requests expressed as a rate per-second that were merged during the reporting interval by the I/O scheduler.

wrqm/s
    The number of write requests expressed as a rate per-second that were merged during the reporting interval by the I/O scheduler.

r/s The number of read requests completed by the device (after merges), expressed as a rate per second during the reporting interval.

w/s The number of write requests completed by the device (after merges), expressed as a rate per second during the reporting interval.

rkB/s
    The average volume of data read from the device expressed as KBytes/second during the reporting interval.

wkB/s
    The average volume of data written to the device expressed as KBytes/second during the reporting interval.

avgrq-sz
    The average I/O request size for both reads and writes to the device expressed as Kbytes during the reporting interval.

avgqu-sz
    The average queue length of read and write requests to the device during the reporting interval.

await
    The average time in milliseconds that read and write requests were queued (and serviced) to the device during the reporting interval.

r_await
    The average time in milliseconds that read requests were queued (and serviced) to the device during the reporting interval.

w_await
    The average time in milliseconds that write requests were queued (and serviced) to the device during the reporting interval.

%util
    The percentage of time during the reporting interval that the device was busy processing requests. A value of 100% indicates device saturation.

FILES
$PCP_VAR_DIR/pmns/*
    default PMNS specification files

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), pmcd(1), pmchart(1), pmdumplog(1), pminfo(1), pmlogger(1), pmtime(1), PMAPI(3), __pmSpecLocalPMDA(3), pcp.conf(5) and pcp.env(5).

DIAGNOSTICS
All are generated on standard error and are intended to be self-explanatory.